package com.gic.haoban.manage.service.entity;

import java.io.Serializable;
import java.util.Date;

public class TabHaobanExternalClerkRelated implements Serializable {
    private String externalClerkRelatedId;

    private String wxEnterpriseId;

    private String enterpriseId;

    private String storeId;

    private String memberId;

    private String unionid;

    private String headUrl;
    
    private String externalUserId;

    private String externalName;

    private String addCreateTime;

    private String memberUnionidRelatedId;

    private String clerkId;

    private String staffId;
    /**
     * 触达次数
     */
    private Integer pushTimes;
    /**
     * 校验的key，clerkid+externalUserId的md5
     */
    private String relationKey;

    private Integer statusFlag;

    private Date createTime;

    private Date updateTime;
    private String selfExternalUserid;
    /**
     * 添加外部联系人时间
     */
    private Long addTime;

    public Long getAddTime() {
        return addTime;
    }

    public void setAddTime(Long addTime) {
        this.addTime = addTime;
    }

    public String getSelfExternalUserid() {
        return selfExternalUserid;
    }

    public void setSelfExternalUserid(String selfExternalUserid) {
        this.selfExternalUserid = selfExternalUserid;
    }

    public String getHeadUrl() {
        return headUrl;
    }

    public void setHeadUrl(String headUrl) {
        this.headUrl = headUrl;
    }

    private static final long serialVersionUID = 1L;

    public Integer getPushTimes() {
        return pushTimes;
    }

    public void setPushTimes(Integer pushTimes) {
        this.pushTimes = pushTimes;
    }

    public String getRelationKey() {
        return relationKey;
    }

    public void setRelationKey(String relationKey) {
        this.relationKey = relationKey;
    }

    public String getExternalClerkRelatedId() {
        return externalClerkRelatedId;
    }

    public void setExternalClerkRelatedId(String externalClerkRelatedId) {
        this.externalClerkRelatedId = externalClerkRelatedId == null ? null : externalClerkRelatedId.trim();
    }

    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }

    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId == null ? null : wxEnterpriseId.trim();
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId == null ? null : enterpriseId.trim();
    }

    public String getStoreId() {
        return storeId;
    }

    public void setStoreId(String storeId) {
        this.storeId = storeId == null ? null : storeId.trim();
    }

    public String getMemberId() {
        return memberId;
    }

    public void setMemberId(String memberId) {
        this.memberId = memberId == null ? null : memberId.trim();
    }

    public String getUnionid() {
        return unionid;
    }

    public void setUnionid(String unionid) {
        this.unionid = unionid == null ? null : unionid.trim();
    }

    public String getExternalName() {
        return externalName;
    }

    public void setExternalName(String externalName) {
        this.externalName = externalName == null ? null : externalName.trim();
    }

    public String getAddCreateTime() {
        return addCreateTime;
    }

    public void setAddCreateTime(String addCreateTime) {
        this.addCreateTime = addCreateTime == null ? null : addCreateTime.trim();
    }

    public String getMemberUnionidRelatedId() {
        return memberUnionidRelatedId;
    }

    public void setMemberUnionidRelatedId(String memberUnionidRelatedId) {
        this.memberUnionidRelatedId = memberUnionidRelatedId == null ? null : memberUnionidRelatedId.trim();
    }

    public String getClerkId() {
        return clerkId;
    }

    public void setClerkId(String clerkId) {
        this.clerkId = clerkId == null ? null : clerkId.trim();
    }

    public String getStaffId() {
        return staffId;
    }

    public void setStaffId(String staffId) {
        this.staffId = staffId == null ? null : staffId.trim();
    }

    public Integer getStatusFlag() {
        return statusFlag;
    }

    public void setStatusFlag(Integer statusFlag) {
        this.statusFlag = statusFlag;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

	public String getExternalUserId() {
		return externalUserId;
	}

	public void setExternalUserId(String externalUserId) {
		this.externalUserId = externalUserId;
	}
    
    
}